GNU bug report logs - #20247
24.4; Emacs hangs at startup in desktop mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Richard Munitz <rmunitz1@HIDDEN>; dated Thu, 2 Apr 2015 15:23:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 20247 <at> debbugs.gnu.org:


Received: (at 20247) by debbugs.gnu.org; 23 May 2016 16:53:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 23 12:53:34 2016
Received: from localhost ([127.0.0.1]:35048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b4t6k-0002JV-03
	for submit <at> debbugs.gnu.org; Mon, 23 May 2016 12:53:34 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:50735)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1b4t6i-0002JJ-7H
 for 20247 <at> debbugs.gnu.org; Mon, 23 May 2016 12:53:32 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id AC723161269
 for <20247 <at> debbugs.gnu.org>; Mon, 23 May 2016 09:53:26 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 0qSTsQ1UvM_v for <20247 <at> debbugs.gnu.org>;
 Mon, 23 May 2016 09:53:25 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 9C200161275
 for <20247 <at> debbugs.gnu.org>; Mon, 23 May 2016 09:53:25 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id ZoyafCOeANMf for <20247 <at> debbugs.gnu.org>;
 Mon, 23 May 2016 09:53:25 -0700 (PDT)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 84A5D161269
 for <20247 <at> debbugs.gnu.org>; Mon, 23 May 2016 09:53:25 -0700 (PDT)
To: 20247 <at> debbugs.gnu.org
From: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#20247: 24.4; Emacs hangs at startup in desktop mode
Organization: UCLA Computer Science Department
Message-ID: <f2113fee-0425-c0f2-7712-5405a14f0389@HIDDEN>
Date: Mon, 23 May 2016 09:53:25 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.1.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: 20247
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

As I suggested in <http://bugs.gnu.org/20247#37>, I have created a new 
bug report (Bug#23604) that now blocks the Emacs 25 release and which 
merely asks to change the default value of 
desktop-restore-in-current-display from nil to t, and I have removed 
Bug#20247 from the list of blockers for Emacs 25. Both bug reports 
remain open for now, but when the little patch in Bug#23604 is installed 
we can close Bug#23604 (thus removing a blocker) while leaving Bug#20247 
open.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20247; Package emacs. Full text available.
Removed indication that bug 20247 blocks Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 20247 <at> debbugs.gnu.org:


Received: (at 20247) by debbugs.gnu.org; 20 May 2016 17:54:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 13:54:44 2016
Received: from localhost ([127.0.0.1]:59311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b3odH-0006bH-Rt
	for submit <at> debbugs.gnu.org; Fri, 20 May 2016 13:54:44 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:35599)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1b3odF-0006b4-Bo
 for 20247 <at> debbugs.gnu.org; Fri, 20 May 2016 13:54:41 -0400
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u4KHsWm1018570
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 20 May 2016 17:54:32 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by userv0022.oracle.com (8.14.4/8.13.8) with ESMTP id u4KHsV7t025617
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 20 May 2016 17:54:32 GMT
Received: from abhmp0003.oracle.com (abhmp0003.oracle.com [141.146.116.9])
 by aserv0122.oracle.com (8.13.8/8.13.8) with ESMTP id u4KHsSnW012091;
 Fri, 20 May 2016 17:54:30 GMT
MIME-Version: 1.0
Message-ID: <351db804-d149-416c-a1d7-422aefb3829c@default>
Date: Fri, 20 May 2016 10:54:27 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#20247: 24.4; Emacs hangs at startup in desktop mode
References: <<<551D5EB90201036000390576_0_67183@p057>
 <a91e3c98-f3c1-0ff9-c7f7-d453c30b1de4@HIDDEN>
 <09b74092-e4db-4ee0-8508-a71cc29e0205@default>>> <<<83d1og90iw.fsf@HIDDEN>>>
 <<4eebea73-4fcb-4dc7-b149-cef7a34a3c16@default>> <<837feo8w0u.fsf@HIDDEN>>
In-Reply-To: <<837feo8w0u.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0022.oracle.com [156.151.31.74]
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 20247
Cc: rmunitz1@HIDDEN, rgm@HIDDEN, eggert@HIDDEN,
 20247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.7 (---)

> Juanma is not the one who claims that the current default value is
> the correct one; you are.  I hoped you could explain why you think so.

No, I have not claimed that.  Not at all.

> > Desktop records lots of stuff that might not be usable when
> > an attempt is made to restore the recorded desktop.
>=20
> Actually, no, it doesn't.  It generally records only values that
> should be usable.

"Generally" meaning mostly, maybe.  Yes, most of the values are
anodyne most of the time (like `display'?).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20247; Package emacs. Full text available.

Message received at 20247 <at> debbugs.gnu.org:


Received: (at 20247) by debbugs.gnu.org; 20 May 2016 17:44:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 13:44:15 2016
Received: from localhost ([127.0.0.1]:59299 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b3oT9-0006Ly-6P
	for submit <at> debbugs.gnu.org; Fri, 20 May 2016 13:44:15 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1b3oT7-0006Lm-If
 for 20247 <at> debbugs.gnu.org; Fri, 20 May 2016 13:44:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1b3oSz-0000R3-3c
 for 20247 <at> debbugs.gnu.org; Fri, 20 May 2016 13:44:08 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.6 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52676)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1b3oSp-0000PH-By; Fri, 20 May 2016 13:43:55 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3464
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1b3oSn-0003KN-Np; Fri, 20 May 2016 13:43:54 -0400
Date: Fri, 20 May 2016 20:44:01 +0300
Message-Id: <837feo8w0u.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <4eebea73-4fcb-4dc7-b149-cef7a34a3c16@default> (message from Drew
 Adams on Fri, 20 May 2016 10:15:53 -0700 (PDT))
Subject: Re: bug#20247: 24.4; Emacs hangs at startup in desktop mode
References: <<551D5EB90201036000390576_0_67183@p057>
 <a91e3c98-f3c1-0ff9-c7f7-d453c30b1de4@HIDDEN>
 <09b74092-e4db-4ee0-8508-a71cc29e0205@default>> <<83d1og90iw.fsf@HIDDEN>>
 <4eebea73-4fcb-4dc7-b149-cef7a34a3c16@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 20247
Cc: rmunitz1@HIDDEN, rgm@HIDDEN, eggert@HIDDEN,
 20247 <at> debbugs.gnu.org, lekktu@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)

> Date: Fri, 20 May 2016 10:15:53 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: eggert@HIDDEN, rgm@HIDDEN, rmunitz1@HIDDEN,
>         20247 <at> debbugs.gnu.org, lekktu@HIDDEN
> 
> > > Can we not leave the default to respecting the saved display value,
> > > but also use a `condition-case' or similar to DTRT if that display
> > > does not exist or trying to use it raises an error in some other way?
> > 
> > Can you explain why using display that is not the current one even
> > makes sense?
> 
> Ask Juanma, or whoever else might have been responsible for designing
> this aspect of desktop.

Juanma is not the one who claims that the current default value is the
correct one; you are.  I hoped you could explain why you think so.

> Desktop is designed to support exactly that, no?  You are apparently
> questioning the design.

The design supports both values.  I question the default.  I don't
object to allow the other value if it is useful in some marginal use
cases.

> Desktop records lots of stuff that might not be usable when
> an attempt is made to restore the recorded desktop.

Actually, no, it doesn't.  It generally records only values that
should be usable.

> > > I don't have the code for #2.  No doubt Someone (TM) would need to
> > > _actually try to debug this_, to find out just what happens when a
> > > bad display value is tried.
> > 
> > I think it's clear without any debugging.
> 
> Really?  In that case, can you please make it raise an error instead
> of hanging?

I don't see how that is relevant.  Being able to explain the problem
doesn't necessarily mean a solution is at hand.

> Just trying to help.

You aren't.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20247; Package emacs. Full text available.

Message received at 20247 <at> debbugs.gnu.org:


Received: (at 20247) by debbugs.gnu.org; 20 May 2016 17:16:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 13:16:14 2016
Received: from localhost ([127.0.0.1]:59294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b3o21-0005jS-Na
	for submit <at> debbugs.gnu.org; Fri, 20 May 2016 13:16:13 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:16406)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1b3o1z-0005jD-Ci
 for 20247 <at> debbugs.gnu.org; Fri, 20 May 2016 13:16:12 -0400
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u4KHFuZq005968
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 20 May 2016 17:15:56 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by aserv0022.oracle.com (8.13.8/8.13.8) with ESMTP id u4KHFt1v019878
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 20 May 2016 17:15:56 GMT
Received: from abhmp0003.oracle.com (abhmp0003.oracle.com [141.146.116.9])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id u4KHFsnL008896;
 Fri, 20 May 2016 17:15:55 GMT
MIME-Version: 1.0
Message-ID: <4eebea73-4fcb-4dc7-b149-cef7a34a3c16@default>
Date: Fri, 20 May 2016 10:15:53 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#20247: 24.4; Emacs hangs at startup in desktop mode
References: <<551D5EB90201036000390576_0_67183@p057>
 <a91e3c98-f3c1-0ff9-c7f7-d453c30b1de4@HIDDEN>
 <09b74092-e4db-4ee0-8508-a71cc29e0205@default>> <<83d1og90iw.fsf@HIDDEN>>
In-Reply-To: <<83d1og90iw.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 20247
Cc: rmunitz1@HIDDEN, rgm@HIDDEN, eggert@HIDDEN,
 20247 <at> debbugs.gnu.org, lekktu@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.7 (---)

> > Can we not leave the default to respecting the saved display value,
> > but also use a `condition-case' or similar to DTRT if that display
> > does not exist or trying to use it raises an error in some other way?
>=20
> Can you explain why using display that is not the current one even
> makes sense?

Ask Juanma, or whoever else might have been responsible for designing
this aspect of desktop.

Desktop is designed to support exactly that, no?  You are apparently
questioning the design.  That's fair, but is it necessary to address
this bug?

Anyway, I can't speak to the reasons why desktop is designed as
it is.  I'm just assuming that the design is not insane, as you
seem to be suggesting (this part of) it is.

> > The proposed cure sounds like killing the patient.
>=20
> To me it sounds like the only sane behavior.

It sounds like you think it is insane for desktop to ever
specify (record) or use a `display' entry.  If so, that sounds
like a design change for desktop.

Do you not think there was a reason to allow users to record
the display as part of a desktop record, and to restore the
desktop using that recorded display?  Can you not imagine such
a use case?  I can, but maybe I'm missing something.

Desktop records lots of stuff that might not be usable when
an attempt is made to restore the recorded desktop.  Normally,
it tries to be fault-tolerant during restoration, and back off
when trying to restore something doesn't work or seems to be
inappropriate in the restoration context.

I don't see how this problem is different, or why it should be
handled differently, especially by simply getting rid of any
ability to restore to a particular display.

As I said, this in no way affects how I use Emacs, personally.
But I'm guessing that there was a (good) reason for allowing
recording (and so restoring) a `display' value.  And I'm
guessing that some users might be taking advantage of it.

I don't see how this bug necessitates tossing that part of the
desktop design.  But apparently you do.

> > And it doesn't solve the underlying problem for a user who decides
> > to customize the value to use the recorded display value.
>=20
> The assumption is that if such a customization produces problematic
> behavior, users won't do that.

If you take the view you seem to be taking, then why not simply
remove all desktop support for a `display' entry?  Why stop with
changing the default value of this option?  Fix the problem by
eliminating the cause altogether, not just as a default value.

> > A better fix, I think, would be to do something like this:
> >
> > 1. Leave the default as is (not specifically important to this bug,
> > however, as I mentioned: changing the default does NOT solve the
> > problem, AFAICT).
> >
> > 2. If the current value says to use the recorded display then try
> > to do that.  If an error is raised then do not use it.
>=20
> That's okay to try on master (if someone thinks it would be better),
> but not on the release branch.  Note that trying to use it might
> display some of the frames, which would then be tricky to remove, and
> flashing them might not look good.

I don't doubt that it might be tricky to try to fix.

> > I don't have the code for #2.  No doubt Someone (TM) would need to
> > _actually try to debug this_, to find out just what happens when a
> > bad display value is tried.
>=20
> I think it's clear without any debugging.

Really?  In that case, can you please make it raise an error instead
of hanging?  And if you can do that then I'm guessing it should be
pretty simple to DTRT and check for that error - and when it is raised
not try to restore to the recorded `display' entry.  No?

> > The first task is for Someone (TM) to actually try to find out
> > what the problem is - what happens - when the display value is
> > inappropriate.
>=20
> The same thing that happens when you try to communicate with a machine
> that is down or disconnected.

So turn that eventuality into raising an error, and handle the error
by abandoning continuing to try to use that nonexistent/broken display.
IOW, act, when there is such an error, the way you apparently want
Emacs to act all the time: as if no `display' entry were recorded.

Again. I don't really care what you do with this bug, personally.
It just sounds like you are perhaps throwing out the baby (=3D desktop
support for `display' entries) with the bathwater.  The baby needs a
bath, sure, but s?he shouldn't be tossed out in the process, I think.

I'm done here.  Do what you will.  Just trying to help.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20247; Package emacs. Full text available.

Message received at 20247 <at> debbugs.gnu.org:


Received: (at 20247) by debbugs.gnu.org; 20 May 2016 16:31:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 12:31:32 2016
Received: from localhost ([127.0.0.1]:59275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b3nKm-0004kg-8T
	for submit <at> debbugs.gnu.org; Fri, 20 May 2016 12:31:32 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:41557)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1b3nKk-0004kT-7o
 for 20247 <at> debbugs.gnu.org; Fri, 20 May 2016 12:31:30 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 8FF2D161326;
 Fri, 20 May 2016 09:31:23 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id sznZBajreVt6; Fri, 20 May 2016 09:31:22 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id DEE8616132E;
 Fri, 20 May 2016 09:31:22 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id kk20EQVjIMAL; Fri, 20 May 2016 09:31:22 -0700 (PDT)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id C2994161326;
 Fri, 20 May 2016 09:31:22 -0700 (PDT)
Subject: Re: bug#20247: 24.4; Emacs hangs at startup in desktop mode
To: Drew Adams <drew.adams@HIDDEN>, Glenn Morris <rgm@HIDDEN>
References: <551D5EB90201036000390576_0_67183@p057>
 <a91e3c98-f3c1-0ff9-c7f7-d453c30b1de4@HIDDEN>
 <09b74092-e4db-4ee0-8508-a71cc29e0205@default>
 <866b4d59-3fe0-4086-cec5-0292be35a2a5@HIDDEN>
 <4a60533f-2b56-4187-8bd9-78cb4e032684@default>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <52356ade-727a-ee7a-efa7-033374574fa8@HIDDEN>
Date: Fri, 20 May 2016 09:31:22 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <4a60533f-2b56-4187-8bd9-78cb4e032684@default>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: 20247
Cc: Richard Munitz <rmunitz1@HIDDEN>, 20247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On 05/20/2016 08:54 AM, Drew Adams wrote:
> I certainly hope that the bug remains open, so this can be fixed,
> whether or not your patch gets applied.  The bug will still exist.

Sure, we can leave this bug open, open a new bug report against just the 
default value, make the new bug report a blocker for Emacs 25 instead of 
the current bug, install the short patch I suggested, and then close the 
new bug. That would suffice to remove the blocking bug.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20247; Package emacs. Full text available.

Message received at 20247 <at> debbugs.gnu.org:


Received: (at 20247) by debbugs.gnu.org; 20 May 2016 16:10:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 12:10:55 2016
Received: from localhost ([127.0.0.1]:59265 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b3n0p-0002ck-6D
	for submit <at> debbugs.gnu.org; Fri, 20 May 2016 12:10:55 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1b3n0m-0002cW-RS
 for 20247 <at> debbugs.gnu.org; Fri, 20 May 2016 12:10:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1b3n0d-0004wT-BY
 for 20247 <at> debbugs.gnu.org; Fri, 20 May 2016 12:10:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.4 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51225)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1b3n0d-0004wH-7l; Fri, 20 May 2016 12:10:43 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3403
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1b3n0Z-0007HA-QR; Fri, 20 May 2016 12:10:41 -0400
Date: Fri, 20 May 2016 19:10:46 +0300
Message-Id: <838tz490c9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <4a60533f-2b56-4187-8bd9-78cb4e032684@default> (message from Drew
 Adams on Fri, 20 May 2016 08:54:59 -0700 (PDT))
Subject: Re: bug#20247: 24.4; Emacs hangs at startup in desktop mode
References: <551D5EB90201036000390576_0_67183@p057>
 <a91e3c98-f3c1-0ff9-c7f7-d453c30b1de4@HIDDEN>
 <09b74092-e4db-4ee0-8508-a71cc29e0205@default>
 <866b4d59-3fe0-4086-cec5-0292be35a2a5@HIDDEN>
 <4a60533f-2b56-4187-8bd9-78cb4e032684@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 20247
Cc: rmunitz1@HIDDEN, rgm@HIDDEN, eggert@HIDDEN,
 20247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)

> Date: Fri, 20 May 2016 08:54:59 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: Richard Munitz <rmunitz1@HIDDEN>, 20247 <at> debbugs.gnu.org
> 
> What's the hurry to close bugs that would motivate not fixing them?

The motivation is to make Emacs 25.1 safer and more robust.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20247; Package emacs. Full text available.

Message received at 20247 <at> debbugs.gnu.org:


Received: (at 20247) by debbugs.gnu.org; 20 May 2016 16:09:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 12:09:28 2016
Received: from localhost ([127.0.0.1]:59261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b3mzP-0002aZ-Qm
	for submit <at> debbugs.gnu.org; Fri, 20 May 2016 12:09:28 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44965)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1b3mzN-0002aN-K5
 for 20247 <at> debbugs.gnu.org; Fri, 20 May 2016 12:09:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1b3mzE-0004dk-Bv
 for 20247 <at> debbugs.gnu.org; Fri, 20 May 2016 12:09:20 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.4 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51202)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1b3mzE-0004dg-85; Fri, 20 May 2016 12:09:16 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3401
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1b3mzB-00071B-Ti; Fri, 20 May 2016 12:09:15 -0400
Date: Fri, 20 May 2016 19:09:18 +0300
Message-Id: <83a8jk90ep.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
In-reply-to: <866b4d59-3fe0-4086-cec5-0292be35a2a5@HIDDEN> (message from
 Paul Eggert on Fri, 20 May 2016 08:34:41 -0700)
Subject: Re: bug#20247: 24.4; Emacs hangs at startup in desktop mode
References: <551D5EB90201036000390576_0_67183@p057>
 <a91e3c98-f3c1-0ff9-c7f7-d453c30b1de4@HIDDEN>
 <09b74092-e4db-4ee0-8508-a71cc29e0205@default>
 <866b4d59-3fe0-4086-cec5-0292be35a2a5@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 20247
Cc: rmunitz1@HIDDEN, rgm@HIDDEN, 20247 <at> debbugs.gnu.org,
 drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)

> From: Paul Eggert <eggert@HIDDEN>
> Date: Fri, 20 May 2016 08:34:41 -0700
> Cc: Richard Munitz <rmunitz1@HIDDEN>, 20247 <at> debbugs.gnu.org
> 
> If someone has the time to develop an even-better patch, that would be 
> great. In the meantime, the question is whether the proposed patch 
> improves Emacs. I don't use desktop mode and don't know the pros and 
> cons of the various settings. That being said, it appears that 
> defaulting desktop-restore-in-current-display to nil caused significant 
> misbehavior for a real use case, whereas defaulting to t would have 
> worked for that use case. There is something to be said for choosing a 
> default that is less likely to cause a bug, even if you have not fixed 
> the bug in general.

I agree.  The fix sounds OK for the release branch, provided that it
solves the original problem.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20247; Package emacs. Full text available.

Message received at 20247 <at> debbugs.gnu.org:


Received: (at 20247) by debbugs.gnu.org; 20 May 2016 16:06:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 12:06:53 2016
Received: from localhost ([127.0.0.1]:59253 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b3mwv-0002WY-1s
	for submit <at> debbugs.gnu.org; Fri, 20 May 2016 12:06:53 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1b3mwt-0002WN-PY
 for 20247 <at> debbugs.gnu.org; Fri, 20 May 2016 12:06:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1b3mwk-0003Vq-Kz
 for 20247 <at> debbugs.gnu.org; Fri, 20 May 2016 12:06:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.6 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51173)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1b3mwk-0003Vh-Hq; Fri, 20 May 2016 12:06:42 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3396
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1b3mwi-0004H9-DK; Fri, 20 May 2016 12:06:41 -0400
Date: Fri, 20 May 2016 19:06:47 +0300
Message-Id: <83d1og90iw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <09b74092-e4db-4ee0-8508-a71cc29e0205@default> (message from Drew
 Adams on Fri, 20 May 2016 08:24:04 -0700 (PDT))
Subject: Re: bug#20247: 24.4; Emacs hangs at startup in desktop mode
References: <551D5EB90201036000390576_0_67183@p057>
 <a91e3c98-f3c1-0ff9-c7f7-d453c30b1de4@HIDDEN>
 <09b74092-e4db-4ee0-8508-a71cc29e0205@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 20247
Cc: rmunitz1@HIDDEN, rgm@HIDDEN, eggert@HIDDEN,
 20247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)

> Date: Fri, 20 May 2016 08:24:04 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: Richard Munitz <rmunitz1@HIDDEN>, 20247 <at> debbugs.gnu.org
> 
> Can we not leave the default to respecting the saved display value,
> but also use a `condition-case' or similar to DTRT if that display
> does not exist or trying to use it raises an error in some other way?

Can you explain why using display that is not the current one even
makes sense?

> The proposed cure sounds like killing the patient.

To me it sounds like the only sane behavior.

> And it doesn't solve the underlying problem for a user who decides
> to customize the value to use the recorded display value.

The assumption is that if such a customization produces problematic
behavior, users won't do that.

> A better fix, I think, would be to do something like this:
> 
> 1. Leave the default as is (not specifically important to this bug,
> however, as I mentioned: changing the default does NOT solve the
> problem, AFAICT).
> 
> 2. If the current value says to use the recorded display then try
> to do that.  If an error is raised then do not use it.

That's okay to try on master (if someone thinks it would be better),
but not on the release branch.  Note that trying to use it might
display some of the frames, which would then be tricky to remove, and
flashing them might not look good.

> I don't have the code for #2.  No doubt Someone (TM) would need to
> _actually try to debug this_, to find out just what happens when a
> bad display value is tried.

I think it's clear without any debugging.

> The first task is for Someone (TM) to actually try to find out
> what the problem is - what happens - when the display value is
> inappropriate.

The same thing that happens when you try to communicate with a machine
that is down or disconnected.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20247; Package emacs. Full text available.

Message received at 20247 <at> debbugs.gnu.org:


Received: (at 20247) by debbugs.gnu.org; 20 May 2016 15:55:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 11:55:16 2016
Received: from localhost ([127.0.0.1]:59237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b3mlg-0002Er-2v
	for submit <at> debbugs.gnu.org; Fri, 20 May 2016 11:55:16 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:49595)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1b3mle-0002Ee-V1
 for 20247 <at> debbugs.gnu.org; Fri, 20 May 2016 11:55:15 -0400
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u4KFt3cd024410
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 20 May 2016 15:55:03 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by aserv0021.oracle.com (8.13.8/8.13.8) with ESMTP id u4KFt2CR020073
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 20 May 2016 15:55:02 GMT
Received: from abhmp0003.oracle.com (abhmp0003.oracle.com [141.146.116.9])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id u4KFt1TJ030597;
 Fri, 20 May 2016 15:55:01 GMT
MIME-Version: 1.0
Message-ID: <4a60533f-2b56-4187-8bd9-78cb4e032684@default>
Date: Fri, 20 May 2016 08:54:59 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>, Glenn Morris <rgm@HIDDEN>
Subject: RE: bug#20247: 24.4; Emacs hangs at startup in desktop mode
References: <551D5EB90201036000390576_0_67183@p057>
 <a91e3c98-f3c1-0ff9-c7f7-d453c30b1de4@HIDDEN>
 <09b74092-e4db-4ee0-8508-a71cc29e0205@default>
 <866b4d59-3fe0-4086-cec5-0292be35a2a5@HIDDEN>
In-Reply-To: <866b4d59-3fe0-4086-cec5-0292be35a2a5@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0021.oracle.com [141.146.126.233]
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 20247
Cc: Richard Munitz <rmunitz1@HIDDEN>, 20247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.7 (---)

> > A better fix, I think, would be to do something like this:
>=20
> If someone has the time to develop an even-better patch, that would be
> great. In the meantime, the question is whether the proposed patch
> improves Emacs.

All your patch does is make the _default_ value be one that doesn't
manifest the bug.  That does not sound like a fix, to me.  I would
hardly even characterize it as an improvement, though admittedly
some users might be less likely to stumble on the bug.

To me, this is, at best, papering over the cracks - and the paper
is very thin.

I certainly hope that the bug remains open, so this can be fixed,
whether or not your patch gets applied.  The bug will still exist.

> I don't use desktop mode and don't know the pros and
> cons of the various settings.  That being said, it appears that
> defaulting desktop-restore-in-current-display to nil caused significant
> misbehavior for a real use case, whereas defaulting to t would have
> worked for that use case. There is something to be said for choosing a
> default that is less likely to cause a bug, even if you have not fixed
> the bug in general.

There might be something to be said for that, but it is not much, IMO.

My recommendation would be to leave the default value as it is and
leave the bug open until someone can debug it and fix it.  This bug
should not be a reason behind the default-value choice.

What's the hurry to close bugs that would motivate not fixing them?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20247; Package emacs. Full text available.

Message received at 20247 <at> debbugs.gnu.org:


Received: (at 20247) by debbugs.gnu.org; 20 May 2016 15:34:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 11:34:49 2016
Received: from localhost ([127.0.0.1]:59226 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b3mRt-00007w-48
	for submit <at> debbugs.gnu.org; Fri, 20 May 2016 11:34:49 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:37291)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1b3mRs-00007k-Dy
 for 20247 <at> debbugs.gnu.org; Fri, 20 May 2016 11:34:48 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id E46B416132B;
 Fri, 20 May 2016 08:34:42 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 0Aj5Iy5Wbx6f; Fri, 20 May 2016 08:34:42 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 307F416132E;
 Fri, 20 May 2016 08:34:42 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id GdFfVr8sy2aK; Fri, 20 May 2016 08:34:42 -0700 (PDT)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 1450716132B;
 Fri, 20 May 2016 08:34:42 -0700 (PDT)
Subject: Re: bug#20247: 24.4; Emacs hangs at startup in desktop mode
To: Drew Adams <drew.adams@HIDDEN>, Glenn Morris <rgm@HIDDEN>
References: <551D5EB90201036000390576_0_67183@p057>
 <a91e3c98-f3c1-0ff9-c7f7-d453c30b1de4@HIDDEN>
 <09b74092-e4db-4ee0-8508-a71cc29e0205@default>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <866b4d59-3fe0-4086-cec5-0292be35a2a5@HIDDEN>
Date: Fri, 20 May 2016 08:34:41 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <09b74092-e4db-4ee0-8508-a71cc29e0205@default>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: 20247
Cc: Richard Munitz <rmunitz1@HIDDEN>, 20247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On 05/20/2016 08:24 AM, Drew Adams wrote:
> A better fix, I think, would be to do something like this:

If someone has the time to develop an even-better patch, that would be 
great. In the meantime, the question is whether the proposed patch 
improves Emacs. I don't use desktop mode and don't know the pros and 
cons of the various settings. That being said, it appears that 
defaulting desktop-restore-in-current-display to nil caused significant 
misbehavior for a real use case, whereas defaulting to t would have 
worked for that use case. There is something to be said for choosing a 
default that is less likely to cause a bug, even if you have not fixed 
the bug in general.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20247; Package emacs. Full text available.

Message received at 20247 <at> debbugs.gnu.org:


Received: (at 20247) by debbugs.gnu.org; 20 May 2016 15:24:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 11:24:26 2016
Received: from localhost ([127.0.0.1]:59208 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b3mHq-0008Gw-M3
	for submit <at> debbugs.gnu.org; Fri, 20 May 2016 11:24:26 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:30500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1b3mHo-0008Gh-NR
 for 20247 <at> debbugs.gnu.org; Fri, 20 May 2016 11:24:25 -0400
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u4KFO8MK016158
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 20 May 2016 15:24:09 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserv0022.oracle.com (8.13.8/8.13.8) with ESMTP id u4KFO8Vc017812
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 20 May 2016 15:24:08 GMT
Received: from abhmp0003.oracle.com (abhmp0003.oracle.com [141.146.116.9])
 by aserv0122.oracle.com (8.13.8/8.13.8) with ESMTP id u4KFO5do005321;
 Fri, 20 May 2016 15:24:06 GMT
MIME-Version: 1.0
Message-ID: <09b74092-e4db-4ee0-8508-a71cc29e0205@default>
Date: Fri, 20 May 2016 08:24:04 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>, Glenn Morris <rgm@HIDDEN>
Subject: RE: bug#20247: 24.4; Emacs hangs at startup in desktop mode
References: <551D5EB90201036000390576_0_67183@p057>
 <a91e3c98-f3c1-0ff9-c7f7-d453c30b1de4@HIDDEN>
In-Reply-To: <a91e3c98-f3c1-0ff9-c7f7-d453c30b1de4@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 20247
Cc: Richard Munitz <rmunitz1@HIDDEN>, 20247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.7 (---)

> I'm looking into Bug#20247 <http://bugs.gnu.org#20247>, currently listed
> as a blocker for Emacs 25. From the bug report, it appears that the
> attached patch would have prevented the bug. This patch is a change to
> Emacs behavior so I'll propose it here now, and give a heads-up on the
> Emacs-devel mailing list before installing it. Comments welcome. I don't
> care myself about the behavior one way or another (I don't use desktop
> mode) and am mainly just trying to clear out the bug backlog.

This doesn't sound right, to me.  (To be clear, it does not affect my
own use of Emacs.)

Can we not leave the default to respecting the saved display value,
but also use a `condition-case' or similar to DTRT if that display
does not exist or trying to use it raises an error in some other way?

The proposed cure sounds like killing the patient.  IIUC, the problem
reported is that the recorded display value cannot be used in this
case.  Fine.  That's not a sufficient reason for defaulting to not
using the recorded display value.

And it doesn't solve the underlying problem for a user who decides
to customize the value to use the recorded display value.

A better fix, I think, would be to do something like this:

1. Leave the default as is (not specifically important to this bug,
however, as I mentioned: changing the default does NOT solve the
problem, AFAICT).

2. If the current value says to use the recorded display then try
to do that.  If an error is raised then do not use it.


I don't have the code for #2.  No doubt Someone (TM) would need to
_actually try to debug this_, to find out just what happens when a
bad display value is tried.

The OP reported that Emacs hangs.  Debugging would need to find
out just what goes on, and trap that problem as an error - raise
an error instead of hang.  Then the code to DTRT in this case,
which is to fall back to ignoring the display value that led to
the error, should be pretty simple.

The first task is for Someone (TM) to actually try to find out
what the problem is - what happens - when the display value is
inappropriate.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20247; Package emacs. Full text available.

Message received at 20247 <at> debbugs.gnu.org:


Received: (at 20247) by debbugs.gnu.org; 20 May 2016 15:08:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 11:08:30 2016
Received: from localhost ([127.0.0.1]:59204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b3m2Q-0007rp-4r
	for submit <at> debbugs.gnu.org; Fri, 20 May 2016 11:08:30 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:35552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1b3m2O-0007rb-6u
 for 20247 <at> debbugs.gnu.org; Fri, 20 May 2016 11:08:28 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id EDF5F16132B;
 Fri, 20 May 2016 08:08:21 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id rUPKzDmMOnNb; Fri, 20 May 2016 08:08:20 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id AF0D7161330;
 Fri, 20 May 2016 08:08:20 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 2imgCjX0Cv9W; Fri, 20 May 2016 08:08:20 -0700 (PDT)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 910CA16132B;
 Fri, 20 May 2016 08:08:20 -0700 (PDT)
To: Glenn Morris <rgm@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Subject: Re: 24.4; Emacs hangs at startup in desktop mode
Organization: UCLA Computer Science Department
Message-ID: <a91e3c98-f3c1-0ff9-c7f7-d453c30b1de4@HIDDEN>
Date: Fri, 20 May 2016 08:08:20 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------BD575D4944B641530BE439E4"
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: 20247
Cc: Richard Munitz <rmunitz1@HIDDEN>, 20247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

This is a multi-part message in MIME format.
--------------BD575D4944B641530BE439E4
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

I'm looking into Bug#20247 <http://bugs.gnu.org#20247>, currently listed 
as a blocker for Emacs 25. From the bug report, it appears that the 
attached patch would have prevented the bug. This patch is a change to 
Emacs behavior so I'll propose it here now, and give a heads-up on the 
Emacs-devel mailing list before installing it. Comments welcome. I don't 
care myself about the behavior one way or another (I don't use desktop 
mode) and am mainly just trying to clear out the bug backlog.


--------------BD575D4944B641530BE439E4
Content-Type: application/x-patch;
 name="0001-Restore-frames-into-the-current-display-by-default.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="0001-Restore-frames-into-the-current-display-by-default.patc";
 filename*1="h"
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--------------BD575D4944B641530BE439E4--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20247; Package emacs. Full text available.

Message received at 20247 <at> debbugs.gnu.org:


Received: (at 20247) by debbugs.gnu.org; 16 Apr 2015 13:47:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 16 09:47:02 2015
Received: from localhost ([127.0.0.1]:57783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Yik8D-0000nJ-Cv
	for submit <at> debbugs.gnu.org; Thu, 16 Apr 2015 09:47:01 -0400
Received: from mgnj5.bloomberg.net ([69.191.244.207]:8136)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rmunitz1@HIDDEN>) id 1Yik8A-0000n2-3b
 for 20247 <at> debbugs.gnu.org; Thu, 16 Apr 2015 09:46:58 -0400
X-BB-Reception-Complete: 16 Apr 2015 09:46:57 -0400
X-IP-Listener: Outgoing Mail
X-IP-MID: 1411838874
Received: from p057.bloomberg.com (HELO p057) ([10.126.157.205])
 by mgnj5.bloomberg.net with SMTP; 16 Apr 2015 09:46:57 -0400
X-BLP-INETSVC: version=BLP_APP_S_INETSVC_1.0.1; host=mgnj5:25; conid=17
Date: Thu, 16 Apr 2015 13:46:57 -0000
From: "Richard Munitz (BLOOMBERG/ 731 LEX)" <rmunitz1@HIDDEN>
To: rgm@HIDDEN
MIME-Version: 1.0
Message-ID: <552FBD5101C5021600390460_0_62170@p057>
X-BLP-GUID: 552FBD5101C50216003904600000
Subject: =?UTF-8?B?UmU6IGJ1ZyMyMDI0NzogMjQuNDsgRW1hY3MgaGFuZ3MgYXQgc3RhcnR1cCBpbiBkZXNrdA==?=
 =?UTF-8?B?b3AgbW9kZQ==?=
Content-Type: multipart/alternative;
 boundary="BOUNDARY_552FBD5101C5021600390460_0_46836_p057"
Content-ID: <ID_552FBD5101C5021600390460_0_34714@p057>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20247
Cc: 20247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Richard Munitz <rmunitz1@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--BOUNDARY_552FBD5101C5021600390460_0_46836_p057
Content-Type: text/plain; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--BOUNDARY_552FBD5101C5021600390460_0_46836_p057
Content-Type: text/html; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--BOUNDARY_552FBD5101C5021600390460_0_46836_p057--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20247; Package emacs. Full text available.
Added indication that bug 20247 blocks19759 Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 20247 <at> debbugs.gnu.org:


Received: (at 20247) by debbugs.gnu.org; 15 Apr 2015 18:03:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 15 14:03:53 2015
Received: from localhost ([127.0.0.1]:57347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YiRfE-0005es-JE
	for submit <at> debbugs.gnu.org; Wed, 15 Apr 2015 14:03:52 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:40541 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1YiRfD-0005ek-CQ
 for 20247 <at> debbugs.gnu.org; Wed, 15 Apr 2015 14:03:51 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1YiRfC-0007Mb-FI; Wed, 15 Apr 2015 14:03:50 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Richard Munitz <rmunitz1@HIDDEN>
Subject: Re: bug#20247: 24.4; Emacs hangs at startup in desktop mode
References: <551D5EB90201036000390576_0_67183@p057>
X-Spook: Bruxelles JSOFC3IP Plame clones Dick Cheney AMW Taiwan
X-Ran: 04vf|TXcI<VYYn6P9{Y8tH#3IEC!;*;w>cWNgz#6]LY|<Ga,4vj9<=Bj-!c['XBhTA&qm`
X-Hue: magenta
X-Attribution: GM
Date: Wed, 15 Apr 2015 14:03:50 -0400
In-Reply-To: <551D5EB90201036000390576_0_67183@p057> (Richard Munitz's message
 of "Thu, 2 Apr 2015 15:22:33 -0000")
Message-ID: <h3pp75z2t5.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 20247
Cc: 20247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

"Richard Munitz (BLOOMBERG/ 731 LEX)" wrote:

> Some more information. This problem could be related to tmux. The last
> time the hang occurred I noticed that my environment settings had
> different values for XTERM and DISPLAY. Currently they look like the
> below, but on that day they were different. Unfortunately, I don't
> remember which was which. But the .emacs.desktop file had one of the
> two values and it hung. When I edited the file and changed it to the
> other of the two values, it started flawlessly.
> XTERM=/usr/bin/X11/xterm -ls -sb -sl 4000 -display sundev28:37.0
> DISPLAY=sundev28:37.0
>
> Of course I don't understand the internals, but I don't understand why
> emacs starts up and tries to use a saved "display" value at all? Why
> doesn't it just always use the display value defined in the current
> shell in which I am invoking emacs? Perhaps this is sometimes
> desirable, but is there a setting I can use to make emacs ignore this
> value saved in the desktop file and always use the value from the
> current environment?


Maybe setting desktop-restore-in-current-display to t will help?

I suspect that in that variable's doc:

   If nil, restores frames into their original displays (if possible).

the "(if possible)" part is going to be tricky to get right.

See also http://debbugs.gnu.org/17693#40




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20247; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Apr 2015 15:23:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 02 11:23:00 2015
Received: from localhost ([127.0.0.1]:43433 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YdgxP-0007jy-6S
	for submit <at> debbugs.gnu.org; Thu, 02 Apr 2015 11:23:00 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35440)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rmunitz1@HIDDEN>) id 1YdgxM-0007jn-Qq
 for submit <at> debbugs.gnu.org; Thu, 02 Apr 2015 11:22:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rmunitz1@HIDDEN>) id 1YdgxC-0007kW-IN
 for submit <at> debbugs.gnu.org; Thu, 02 Apr 2015 11:22:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55632)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rmunitz1@HIDDEN>) id 1YdgxC-0007kR-F8
 for submit <at> debbugs.gnu.org; Thu, 02 Apr 2015 11:22:46 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37129)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rmunitz1@HIDDEN>) id 1Ydgx5-0003hS-Gq
 for bug-gnu-emacs@HIDDEN; Thu, 02 Apr 2015 11:22:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rmunitz1@HIDDEN>) id 1Ydgx0-0007iT-DO
 for bug-gnu-emacs@HIDDEN; Thu, 02 Apr 2015 11:22:39 -0400
Received: from mgnj1.bloomberg.net ([69.191.244.19]:19343)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rmunitz1@HIDDEN>) id 1Ydgx0-0007iH-82
 for bug-gnu-emacs@HIDDEN; Thu, 02 Apr 2015 11:22:34 -0400
X-BB-Reception-Complete: 02 Apr 2015 11:22:33 -0400
X-IP-Listener: Outgoing Mail
X-IP-MID: 1576025710
Received: from p057.bloomberg.com (HELO p057) ([10.126.157.205])
 by mgnj1.bloomberg.net with SMTP; 02 Apr 2015 11:22:33 -0400
X-BLP-INETSVC: version=BLP_APP_S_INETSVC_1.0.1; host=mgnj1:25; conid=36
Date: Thu, 2 Apr 2015 15:22:33 -0000
From: "Richard Munitz (BLOOMBERG/ 731 LEX)" <rmunitz1@HIDDEN>
To: bug-gnu-emacs@HIDDEN
MIME-Version: 1.0
Message-ID: <551D5EB90201036000390576_0_67183@p057>
X-BLP-GUID: 551D5EB902010360003905760000
Subject: =?UTF-8?B?MjQuNDsgRW1hY3MgaGFuZ3MgYXQgc3RhcnR1cCBpbiBkZXNrdG9wIG1vZGU=?=
Content-Type: multipart/alternative;
 boundary="BOUNDARY_551D5EB90201036000390576_0_60045_p057"
Content-ID: <ID_551D5EB90201036000390576_0_42382@p057>
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Richard Munitz <rmunitz1@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

--BOUNDARY_551D5EB90201036000390576_0_60045_p057
Content-Type: text/plain; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64

LS10ZXh0IGZvbGxvd3MgdGhpcyBsaW5lLS0KSSBoYXZlIGVtYWNzIGNvbmZpZ3VyZWQgaW4gbXkg
LmVtYWNzIHRvIHNhdmUgZGVza3RvcCBzZXR0aW5nczoKKGRlc2t0b3Atc2F2ZS1tb2RlIDEpCihz
ZXRxIGRlc2t0b3AtYXV0by1zYXZlLXRpbWVvdXQgNjApCgpJIHdvcmsgb24gU29sYXJpcyBhbmQg
YWNjZXNzIHZpYSB4dGVybS4gIEkgYWxzbyB1c2UgdG11eCBvbiB0b3Agb2YgdGhhdC4gICBUaGUg
bWFjaGluZSBpcyByZXN0YXJ0ZWQgcGVyaW9kaWNhbGx5IChhbHdheXMgb24gdGhlIHdlZWtlbmRz
IGZvciBleGFtcGxlKSBhbmQgSSBhbSBmb3JjZWQgdG8gbG9nIGJhY2sgaW4uICBBZnRlciBJIGRv
IHRoaXMsIEkgb2Z0ZW4gZmluZCB0aGF0IHdoZW4gSSBzdGFydCBlbWFjcyAoanVzdCBydW4gImVt
YWNzIiksIGl0IGhhbmdzIGFuZCBJIGhhdmUgbm8gY2hvaWNlIGJ1dCB0byBraWxsIGl0LiAgSSBo
YXZlIHRyaWVkIGV4aXRpbmcgZW1hY3MgYmVmb3JlIGxlYXZpbmcgYmVmb3JlIHdvcmsgZm9yIHRo
ZSB3ZWVrZW5kIGFuZCBoYWQgdGhpcyBoYW5nIG9jY3VyIHdoZW4gSSByZXR1cm5lZCBvbiBNb25k
YXkuCgpJIGhhdmUgZG9uZSBzb21lIGludmVzdGlnYXRpb24gYW5kIGhhdmUgZGV0ZXJtaW5lZCB0
aGF0IHRoZSBoYW5nIGlzIGNhdXNlZCBieSB0aGUgcHJlc2VuY2Ugb2Ygc29tZXRoaW5nIGxpa2Ug
dGhlIGZvbGxvd2luZyBzdHJpbmcgaW4gbXkgfi8uZW1hY3MuZC8uZW1hY3MuZGVza3RvcCBmaWxl
OiAoZGlzcGxheSAuICJzdW5kZXYyODozNy4wIikKVGhhdCBkaXNwbGF5IHZhbHVlIHdpbmRzIHVw
IGJlaW5nIHRoZSB2YWx1ZSB0aGF0IHdhcyBpbiBlZmZlY3QgZHVyaW5nIG15IHByaW9yIGxvZ2lu
LiAgSG93ZXZlciBteSBuZXcgbG9naW4veHRlcm0gaXMgYXNzaWduZWQgYSBkaWZmZXJlbnQgZGlz
cGxheSB2YWx1ZS4gIEkgaGF2ZSBkZXRlcm1pbmVkIHRoYXQgaWYgSSBlZGl0IHRoZSBkZXNrdG9w
IGZpbGUgKGVtYWNzIC5lbWFjcy5kZXNrdG9wIGZpbGUgLS1uby1kZXNrdG9wKSBhbmQgY2hhbmdl
IHRoYXQgZGlzcGxheSBzdHJpbmcgdG8gdGhlIGN1cnJlbnQgJERJU1BMQVkgdmFsdWUsIGVtYWNz
IG5vdyBzdGFydHMgd2l0aG91dCBoYW5naW5nLgoKSSBmaW5kIHRoYXQgdGhlIGhhbmcgaXMgbm90
IGNvbnNpc3RlbnQuICBGb3IgZXhhbXBsZSwgaWYgSSBzaW1wbHkgZWRpdCB0aGUgZGlzcGxheSB2
YWx1ZSB0byBzb21lIGJvZ3VzIHZhbHVlIChlLmcuIGNoYW5nZSB0aGUgMzcgYWJvdmUgdG8gMTM3
KSwgZW1hY3MgYXQgbGVhc3QgY29tZXMgdXAgd2l0aG91dCBoYW5naW5nLiAgSXQgZG9lc24ndCBy
ZXN0b3JlIG15IGRlc2t0b3AgbGF5b3V0IChmcmFtZSBwb3NpdGlvbiwgc2l6ZSwgc3BsaXRzKSwg
YW5kIGl0IGluc3RlYWQgZGlzcGxheXMgdGhlIHdhcm5pbmc6IApFcnJvciAoZnJhbWVzZXQpOiBE
aXNwbGF5IHN1bmRldjI4OjEzNy4wIGNhbid0IGJlIG9wZW5lZApXYXJuaW5nIChmcmFtZXNldCk6
IEF0dGVtcHQgdG8gZGVsZXRlIHRoZSBzb2xlIHZpc2libGUgb3IgaWNvbmlmaWVkIGZyYW1lCgpT
b21lIG1vcmUgaW5mb3JtYXRpb24uICBUaGlzIHByb2JsZW0gY291bGQgYmUgcmVsYXRlZCB0byB0
bXV4LiAgVGhlIGxhc3QgdGltZSB0aGUgaGFuZyBvY2N1cnJlZCBJIG5vdGljZWQgdGhhdCBteSBl
bnZpcm9ubWVudCBzZXR0aW5ncyBoYWQgZGlmZmVyZW50IHZhbHVlcyBmb3IgWFRFUk0gYW5kIERJ
U1BMQVkuICBDdXJyZW50bHkgdGhleSBsb29rIGxpa2UgdGhlIGJlbG93LCBidXQgb24gdGhhdCBk
YXkgdGhleSB3ZXJlIGRpZmZlcmVudC4gIFVuZm9ydHVuYXRlbHksIEkgZG9uJ3QgcmVtZW1iZXIg
d2hpY2ggd2FzIHdoaWNoLiAgQnV0IHRoZSAuZW1hY3MuZGVza3RvcCBmaWxlIGhhZCBvbmUgb2Yg
dGhlIHR3byB2YWx1ZXMgYW5kIGl0IGh1bmcuICBXaGVuIEkgZWRpdGVkIHRoZSBmaWxlIGFuZCBj
aGFuZ2VkIGl0IHRvIHRoZSBvdGhlciBvZiB0aGUgdHdvIHZhbHVlcywgaXQgc3RhcnRlZCBmbGF3
bGVzc2x5LgpYVEVSTT0vdXNyL2Jpbi9YMTEveHRlcm0gLWxzIC1zYiAtc2wgNDAwMCAtZGlzcGxh
eSBzdW5kZXYyODozNy4wCkRJU1BMQVk9c3VuZGV2Mjg6MzcuMAoKT2YgY291cnNlIEkgZG9uJ3Qg
dW5kZXJzdGFuZCB0aGUgaW50ZXJuYWxzLCBidXQgSSBkb24ndCB1bmRlcnN0YW5kIHdoeSBlbWFj
cyBzdGFydHMgdXAgYW5kIHRyaWVzIHRvIHVzZSBhIHNhdmVkICJkaXNwbGF5IiB2YWx1ZSBhdCBh
bGw/ICBXaHkgZG9lc24ndCBpdCBqdXN0IGFsd2F5cyB1c2UgdGhlIGRpc3BsYXkgdmFsdWUgZGVm
aW5lZCBpbiB0aGUgY3VycmVudCBzaGVsbCBpbiB3aGljaCBJIGFtIGludm9raW5nIGVtYWNzPyAg
UGVyaGFwcyB0aGlzIGlzIHNvbWV0aW1lcyBkZXNpcmFibGUsIGJ1dCBpcyB0aGVyZSBhIHNldHRp
bmcgSSBjYW4gdXNlIHRvIG1ha2UgZW1hY3MgaWdub3JlIHRoaXMgdmFsdWUgc2F2ZWQgaW4gdGhl
IGRlc2t0b3AgZmlsZSBhbmQgYWx3YXlzIHVzZSB0aGUgdmFsdWUgZnJvbSB0aGUgY3VycmVudCBl
bnZpcm9ubWVudD8KCgpJbiBHTlUgRW1hY3MgMjQuNC4xIChzcGFyYy1zdW4tc29sYXJpczIuMTAs
IEdUSysgVmVyc2lvbiAzLjguOSkKb2YgMjAxNS0wMy0yNSBvbiBuanNibGRvMgpXaW5kb3dpbmcg
c3lzdGVtIGRpc3RyaWJ1dG9yIGBIdW1taW5nYmlyZCAtIE9wZW4gVGV4dCcsIHZlcnNpb24gMTEu
MC4xMzgzMApDb25maWd1cmVkIHVzaW5nOgpgY29uZmlndXJlIC0tcHJlZml4PS9vcHQvYmIgLS1s
aWJkaXI9L29wdC9iYi9saWI2NAoteC1pbmNsdWRlcz0vb3B0L2JiL2luY2x1ZGUgLXgtbGlicmFy
aWVzPS9vcHQvYmIvbGliNjQKLS13aXRob3V0LXNlbGludXggLS13aXRoLXBuZz1ubyAtLXdpdGgt
Z2lmPW5vIC0td2l0aG91dC1nc2V0dGluZ3MKQ0ZMQUdTPS1tNjQgQ1BQRkxBR1M9LUkvb3B0L2Ji
L2luY2x1ZGUgJ0xERkxBR1M9LW02NCAtTC9vcHQvYmIvbGliNjQKLVIvb3B0L2JiL2xpYjY0JycK
CkltcG9ydGFudCBzZXR0aW5nczoKdmFsdWUgb2YgJExBTkc6IEMKbG9jYWxlLWNvZGluZy1zeXN0
ZW06IG5pbAoKTWFqb3IgbW9kZTogSW5mbwoKTWlub3IgbW9kZXMgaW4gZWZmZWN0OgpkZXNrdG9w
LXNhdmUtbW9kZTogdAplbGVjdHJpYy1wYWlyLW1vZGU6IHQKc2hvdy1wYXJlbi1tb2RlOiB0CmRl
bGV0ZS1zZWxlY3Rpb24tbW9kZTogdApnbG9iYWwtbGludW0tbW9kZTogdApsaW51bS1tb2RlOiB0
CnRvb2x0aXAtbW9kZTogdAplbGVjdHJpYy1pbmRlbnQtbW9kZTogdAptb3VzZS13aGVlbC1tb2Rl
OiB0Cm1lbnUtYmFyLW1vZGU6IHQKZmlsZS1uYW1lLXNoYWRvdy1tb2RlOiB0Cmdsb2JhbC1mb250
LWxvY2stbW9kZTogdApmb250LWxvY2stbW9kZTogdApibGluay1jdXJzb3ItbW9kZTogdAphdXRv
LWNvbXBvc2l0aW9uLW1vZGU6IHQKYXV0by1lbmNyeXB0aW9uLW1vZGU6IHQKYXV0by1jb21wcmVz
c2lvbi1tb2RlOiB0CmJ1ZmZlci1yZWFkLW9ubHk6IHQKY29sdW1uLW51bWJlci1tb2RlOiB0Cmxp
bmUtbnVtYmVyLW1vZGU6IHQKZ2xvYmFsLXZpc3VhbC1saW5lLW1vZGU6IHQKdmlzdWFsLWxpbmUt
bW9kZTogdAp0cmFuc2llbnQtbWFyay1tb2RlOiB0CgpSZWNlbnQgaW5wdXQ6CkMteCBrIDxyZXR1
cm4+IEMteCBDLWIgPGhlbHAtZWNobz4gPGhlbHAtZWNobz4gPGhlbHAtZWNobz4gCjxoZWxwLWVj
aG8+IDxoZWxwLWVjaG8+IDxoZWxwLWVjaG8+IDxtZW51LWJhcj4gPGhlbHAtbWVudT4gCjxlbWFj
cy1tYW51YWwtYnVnPiA8aGVscC1lY2hvPiA8ZG93bi1tb3VzZS0xPiA8bW91c2UtMT4gCjxkb3du
LW1vdXNlLTE+IDxtb3VzZS0xPiA8aGVscC1lY2hvPiA8aGVscC1lY2hvPiA8ZG93bi1tb3VzZS0x
PiAKPG1vdXNlLTE+IDxoZWxwLWVjaG8+IDxkb3duLW1vdXNlLTE+IDxtb3VzZS0xPiBDLXggCjIg
TS14IHIgZSBwIG8gciB0IC0gZSBtIGEgYyBzIC0gYiB1IGcgPHJldHVybj4KClJlY2VudCBtZXNz
YWdlczoKTm90ZTogZmlsZSBpcyB3cml0ZSBwcm90ZWN0ZWQKVXNpbmcgdmFjdW91cyBzY2hlbWEg
WzMgdGltZXNdCldyb3RlIC9ob21lL3JtdW5pdHoxLy5lbWFjcy5kLy5lbWFjcy5kZXNrdG9wLmxv
Y2sKRGVza3RvcDogMSBmcmFtZSwgMTUgYnVmZmVycyByZXN0b3JlZC4KRm9yIGluZm9ybWF0aW9u
IGFib3V0IEdOVSBFbWFjcyBhbmQgdGhlIEdOVSBzeXN0ZW0sIHR5cGUgQy1oIEMtYS4KVXBkYXRp
bmcgYnVmZmVyIGxpc3QuLi4KRm9ybWF0cyBoYXZlIGNoYW5nZWQsIHJlY29tcGlsaW5nLi4uZG9u
ZQpVcGRhdGluZyBidWZmZXIgbGlzdC4uLmRvbmUKQ29tbWFuZHM6IG0sIHUsIHQsIFJFVCwgZywg
aywgUywgRCwgUTsgcSB0byBxdWl0OyBoIGZvciBoZWxwCgpMb2FkLXBhdGggc2hhZG93czoKTm9u
ZSBmb3VuZC4KCkZlYXR1cmVzOgooc2hhZG93IHNvcnQgZ251cy11dGlsIG1haWwtZXh0ciBlbWFj
c2J1ZyBtZXNzYWdlIGZvcm1hdC1zcGVjIHJmYzgyMiBtbWwKbW1sLXNlYyBtbS1kZWNvZGUgbW0t
Ym9kaWVzIG1tLWVuY29kZSBtYWlsLXBhcnNlIHJmYzIyMzEgbWFpbGFiYnJldgpnbW0tdXRpbHMg
bWFpbGhlYWRlciBzZW5kbWFpbCByZmMyMDQ3IHJmYzIwNDUgaWV0Zi1kcnVtcyBtbS11dGlsCmhl
bHAtZm5zIG1haWwtcHJzdnIgbWFpbC11dGlscyBqa2EtY29tcHIgaW5mbyBjbC1tYWNzIGlidWYt
ZXh0IGlidWZmZXIKbnhtbC11Y2hubSBybmcteHNkIHhzZC1yZWdleHAgcm5nLWNtcGN0IHJuZy1u
eG1sIHJuZy12YWxpZCBybmctbG9jCnJuZy11cmkgcm5nLXBhcnNlIG54bWwtcGFyc2Ugcm5nLW1h
dGNoIHJuZy1kdCBybmctdXRpbCBybmctcHR0cm4gbnhtbC1ucwpueG1sLW1vZGUgbnhtbC1vdXRs
biBueG1sLXJhcCBueG1sLXV0aWwgbnhtbC1nbHlwaCBueG1sLWVuYyB4bWx0b2sKdmMtZ2l0IGNj
LWxhbmdzIGNjLW1vZGUgY2MtZm9udHMgZWFzeW1lbnUgY2MtZ3Vlc3MgY2MtbWVudXMgY2MtY21k
cwpjYy1zdHlsZXMgY2MtYWxpZ24gY2MtZW5naW5lIGNjLXZhcnMgY2MtZGVmcyB2aWV3IHRoYWkt
dXRpbCB0aGFpLXdvcmQKbXVsZS11dGlsIGxhby11dGlsIHplbmJ1cm4tdGhlbWUgaGlnaGxpZ2h0
LXN5bWJvbCBlYXN5LW1tb2RlIGNsIGd2CnRoaW5nYXRwdCBkZXNrdG9wIGZyYW1lc2V0IGNsLWxv
YWRkZWZzIGNsLWxpYiBlbGVjLXBhaXIgcGFyZW4gZGVsc2VsIGlkbwpsaW51bSB0aW1lLWRhdGUg
dG9vbHRpcCBlbGVjdHJpYyB1bmlxdWlmeSBlZGlmZi1ob29rIHZjLWhvb2tzCmxpc3AtZmxvYXQt
dHlwZSBtd2hlZWwgeC13aW4geC1kbmQgdG9vbC1iYXIgZG5kIGZvbnRzZXQgaW1hZ2UgcmVnZXhw
LW9wdApmcmluZ2UgdGFidWxhdGVkLWxpc3QgbmV3Y29tbWVudCBsaXNwLW1vZGUgcHJvZy1tb2Rl
IHJlZ2lzdGVyIHBhZ2UKbWVudS1iYXIgcmZuLWVzaGFkb3cgdGltZXIgc2VsZWN0IHNjcm9sbC1i
YXIgbW91c2Ugaml0LWxvY2sgZm9udC1sb2NrCnN5bnRheCBmYWNlbWVudSBmb250LWNvcmUgZnJh
bWUgY2hhbSBnZW9yZ2lhbiB1dGYtOC1sYW5nIG1pc2MtbGFuZwp2aWV0bmFtZXNlIHRpYmV0YW4g
dGhhaSB0YWktdmlldCBsYW8ga29yZWFuIGphcGFuZXNlIGhlYnJldyBncmVlawpyb21hbmlhbiBz
bG92YWsgY3plY2ggZXVyb3BlYW4gZXRoaW9waWMgaW5kaWFuIGN5cmlsbGljIGNoaW5lc2UKY2Fz
ZS10YWJsZSBlcGEtaG9vayBqa2EtY21wci1ob29rIGhlbHAgc2ltcGxlIGFiYnJldiBtaW5pYnVm
ZmVyIG5hZHZpY2UKbG9hZGRlZnMgYnV0dG9uIGZhY2VzIGN1cy1mYWNlIG1hY3JvZXhwIGZpbGVz
IHRleHQtcHJvcGVydGllcyBvdmVybGF5CnNoYTEgbWQ1IGJhc2U2NCBmb3JtYXQgZW52IGNvZGUt
cGFnZXMgbXVsZSBjdXN0b20gd2lkZ2V0Cmhhc2h0YWJsZS1wcmludC1yZWFkYWJsZSBiYWNrcXVv
dGUgbWFrZS1uZXR3b3JrLXByb2Nlc3MgZGJ1c2JpbmQKZ2ZpbGVub3RpZnkgZHluYW1pYy1zZXR0
aW5nIGZvbnQtcmVuZGVyLXNldHRpbmcgbW92ZS10b29sYmFyIGd0awp4LXRvb2xraXQgeCBtdWx0
aS10dHkgZW1hY3MpCgpNZW1vcnkgaW5mb3JtYXRpb246CigoY29uc2VzIDE2IDI4NDcxOCA2NTU1
KQooc3ltYm9scyA0OCAzNTIzMCAwKQoobWlzY3MgNDAgMjg5NSA2MzMpCihzdHJpbmdzIDMyIDQ4
NDY4IDc3NjYpCihzdHJpbmctYnl0ZXMgMSAxMzA4MTU4KQoodmVjdG9ycyAxNiAyMDY0MikKKHZl
Y3Rvci1zbG90cyA4IDY5MDU4MiAyMjczNCkKKGZsb2F0cyA4IDE3MyA0OTUpCihpbnRlcnZhbHMg
NTYgNTMxOSA3MzIpCihidWZmZXJzIDk2MCAyOCkpCgo=

--BOUNDARY_551D5EB90201036000390576_0_60045_p057
Content-Type: text/html; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--BOUNDARY_551D5EB90201036000390576_0_60045_p057--





Acknowledgement sent to Richard Munitz <rmunitz1@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#20247; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 23 May 2016 17:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.